crowdsec/test/bin/check-requirements

66 lines
1.3 KiB
Plaintext
Raw Normal View History

#!/usr/bin/env bash
set -eu
die() {
echo >&2 "$@"
exit 1
}
# shellcheck disable=SC1007
2022-10-04 13:58:10 +00:00
THIS_DIR=$(CDPATH= cd -- "$(dirname -- "$0")" && pwd)
# shellcheck source=../.environment.sh
. "${THIS_DIR}/../.environment.sh"
check_bats_core() {
if ! "${TEST_DIR}/lib/bats-core/bin/bats" --version >/dev/null 2>&1; then
2022-10-04 13:58:10 +00:00
die "ERROR: the bats-* submodules are required. Please run 'git submodule init; git submodule update' and retry."
fi
}
check_curl() {
if ! command -v curl >/dev/null; then
die "missing required program 'curl'"
fi
}
check_python3() {
if ! command -v python3 >/dev/null; then
die "missing required program 'python3'"
fi
}
2022-04-20 13:05:34 +00:00
check_jq() {
if ! command -v jq >/dev/null; then
die "Missing required program 'jq'"
fi
}
2022-06-22 08:00:51 +00:00
check_base64() {
if ! command -v base64 >/dev/null; then
die "missing required program 'base64'"
fi
}
check_pkill() {
if ! command -v pkill >/dev/null; then
die "missing required program 'pkill'"
fi
}
check_daemonizer() {
2022-08-04 09:25:34 +00:00
if ! command -v daemonize >/dev/null; then
die "missing required program 'daemonize' (package 'daemonize' or 'https://github.com/bmc/daemonize')"
fi
}
echo "Checking requirements..."
check_bats_core
check_curl
2022-04-20 13:05:34 +00:00
check_daemonizer
check_jq
2022-06-22 08:00:51 +00:00
check_base64
2022-04-20 13:05:34 +00:00
check_python3
check_pkill